Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.fonts
Class OutlineFont

    java.lang.Object
      org.apache.fop.fonts.Typeface
          org.apache.fop.afp.fonts.AFPFont
              org.apache.fop.afp.fonts.AbstractOutlineFont
                  org.apache.fop.afp.fonts.OutlineFont

All Implemented Interfaces:
  FontMetrics

    public class OutlineFont

extends AbstractOutlineFont

Default implementation of AbstractOutlineFont.

Field Summary

Fields inherited from class org.apache.fop.afp.fonts.AbstractOutlineFont
`charSet`

Fields inherited from class org.apache.fop.afp.fonts.AFPFont
`name`

Fields inherited from class org.apache.fop.fonts.Typeface
`eventListener, NOT_FOUND`

Constructor Summary
`OutlineFont(java.lang.String name, CharacterSet charSet)` Construct outline font with specified name and character set.

Method Summary

Methods inherited from class org.apache.fop.afp.fonts.AbstractOutlineFont
`getAscender, getCapHeight, getCharacterSet, getCharacterSet, getDescender, getEncodingName, getFirstChar, getLastChar, getWidth, getWidths, getWidths, getXHeight, hasChar, mapChar`

Methods inherited from class org.apache.fop.afp.fonts.AFPFont
`getEmbedFontName, getFamilyNames, getFontName, getFontType, getFullName, getKerningInfo, hasKerningInfo, isEmbeddable, setEmbeddable, toString, toUnicodeCodepoint`

Methods inherited from class org.apache.fop.fonts.Typeface
`getMaxAscent, hadMappingOperations, isMultiByte, notifyMapOperation, setEventListener, warnMissingGlyph`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutlineFont

    public OutlineFont(java.lang.String name,
                       CharacterSet charSet)

  Construct outline font with specified name and character set.

  Parameters:
    `name` - font's name
    `charSet` - font's character set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.